RepairJobDesc (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair

## Class RepairJobDesc

- java.lang.Object
- - org.apache.cassandra.repair.RepairJobDesc

-     public class RepairJobDesc
      extends java.lang.Object

  RepairJobDesc is used from various repair processes to distinguish one RepairJob to another.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `columnFamily`
    `java.lang.String` | `keyspace`
    `java.util.UUID` | `parentSessionId`
    `Range<Token>` | `range` repairing range
    `static IVersionedSerializer<RepairJobDesc>` | `serializer`
    `java.util.UUID` | `sessionId` RepairSession id

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairJobDesc(java.util.UUID parentSessionId, java.util.UUID sessionId, java.lang.String keyspace, java.lang.String columnFamily, Range<Token> range)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<RepairJobDesc> serializer

    - #### parentSessionId

          public final java.util.UUID parentSessionId

    - #### sessionId

          public final java.util.UUID sessionId

      RepairSession id

    - #### keyspace

          public final java.lang.String keyspace

    - #### columnFamily

          public final java.lang.String columnFamily

    - #### range

          public final Range<Token> range

      repairing range

  - ### Constructor Detail

    - #### RepairJobDesc

          public RepairJobDesc(java.util.UUID parentSessionId,
                               java.util.UUID sessionId,
                               java.lang.String keyspace,
                               java.lang.String columnFamily,
                               Range<Token> range)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation